package com.ruoyi.dxp.service;

import java.util.List;
import com.ruoyi.dxp.domain.TagGroup;

/**
 * 标签分组Service接口
 * 
 * @author jy
 * @date 2022-11-06
 */
public interface ITagGroupService 
{
    /**
     * 查询标签分组
     * 
     * @param id 标签分组主键
     * @return 标签分组
     */
    public TagGroup selectTagGroupById(Long id);

    /**
     * 查询标签分组列表
     * 
     * @param tagGroup 标签分组
     * @return 标签分组集合
     */
    public List<TagGroup> selectTagGroupList(TagGroup tagGroup);

    /**
     * 新增标签分组
     * 
     * @param tagGroup 标签分组
     * @return 结果
     */
    public int insertTagGroup(TagGroup tagGroup);

    /**
     * 修改标签分组
     * 
     * @param tagGroup 标签分组
     * @return 结果
     */
    public int updateTagGroup(TagGroup tagGroup);

    /**
     * 批量删除标签分组
     * 
     * @param ids 需要删除的标签分组主键集合
     * @return 结果
     */
    public int deleteTagGroupByIds(Long[] ids);

    /**
     * 删除标签分组信息
     * 
     * @param id 标签分组主键
     * @return 结果
     */
    public int deleteTagGroupById(Long id);
}
